Skip to main content
GET
/
v1
/
tenants
TenantController_listTenants
import { Novu } from "@novu/api";

const novu = new Novu({
  apiKey: "<YOUR_API_KEY_HERE>",
});

async function run() {
  const result = await novu.tenants.list(7685.78, 10);

  for await (const page of result) {
    // handle page
  }
}

run();
curl --request GET \
  --url https://api.novu.co/v1/tenants \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.novu.co/v1/tenants"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.novu.co/v1/tenants', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "page": 123,
  "hasMore": true,
  "pageSize": 123,
  "data": [
    {
      "_id": "<string>",
      "identifier": "<string>",
      "_environmentId": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "name": "<string>",
      "data": {}
    }
  ]
}
"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second"
"API rate limit exceeded"
"Please wait some time, then try again."
Enter your API key in the Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80e

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".

Query Parameters

page
number
limit
number
default:10
Required range: x <= 100

Response

page
number
required

The current page of the paginated response

hasMore
boolean
required

Does the list have more items to fetch

pageSize
number
required

Number of items on each page

data
object[]
required

The list of items matching the query